#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'iccconfigbase.ui'
**
** Created: 2013-09-06T06:18:13
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "iccconfigbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <kurlrequester.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a ICCConfigBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ICCConfigBase::ICCConfigBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ICCConfigBase" );
    ICCConfigBaseLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "ICCConfigBaseLayout"); 

    TabWidget2 = new QTabWidget( this, "TabWidget2" );
    TabWidget2->setEnabled( TRUE );

    tab = new QWidget( TabWidget2, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "tabLayout"); 

    groupSystemSettings = new QGroupBox( tab, "groupSystemSettings" );
    groupSystemSettings->setColumnLayout(0, Qt::Vertical );
    groupSystemSettings->layout()->setSpacing( KDialog::spacingHint() );
    groupSystemSettings->layout()->setMargin( KDialog::marginHint() );
    groupSystemSettingsLayout = new QGridLayout( groupSystemSettings->layout() );
    groupSystemSettingsLayout->setAlignment( Qt::AlignTop );

    systemEnableSupport = new QCheckBox( groupSystemSettings, "systemEnableSupport" );

    groupSystemSettingsLayout->addMultiCellWidget( systemEnableSupport, 0, 0, 0, 1 );

    systemIccFile = new KURLRequester( groupSystemSettings, "systemIccFile" );

    groupSystemSettingsLayout->addMultiCellWidget( systemIccFile, 1, 1, 1, 4 );

    textLabel4_2 = new QLabel( groupSystemSettings, "textLabel4_2" );

    groupSystemSettingsLayout->addWidget( textLabel4_2, 1, 0 );

    tabLayout->addWidget( groupSystemSettings, 0, 0 );

    groupUserSettings = new QGroupBox( tab, "groupUserSettings" );
    groupUserSettings->setColumnLayout(0, Qt::Vertical );
    groupUserSettings->layout()->setSpacing( KDialog::spacingHint() );
    groupUserSettings->layout()->setMargin( KDialog::marginHint() );
    groupUserSettingsLayout = new QGridLayout( groupUserSettings->layout() );
    groupUserSettingsLayout->setAlignment( Qt::AlignTop );

    enableSupport = new QCheckBox( groupUserSettings, "enableSupport" );

    groupUserSettingsLayout->addMultiCellWidget( enableSupport, 0, 0, 0, 1 );

    iccProfileList = new KComboBox( FALSE, groupUserSettings, "iccProfileList" );

    groupUserSettingsLayout->addWidget( iccProfileList, 1, 1 );

    textLabel2_9 = new QLabel( groupUserSettings, "textLabel2_9" );

    groupUserSettingsLayout->addWidget( textLabel2_9, 1, 0 );

    addProfileButton = new KPushButton( groupUserSettings, "addProfileButton" );

    groupUserSettingsLayout->addWidget( addProfileButton, 1, 2 );

    renameProfileButton = new KPushButton( groupUserSettings, "renameProfileButton" );

    groupUserSettingsLayout->addWidget( renameProfileButton, 1, 3 );

    deleteProfileButton = new KPushButton( groupUserSettings, "deleteProfileButton" );

    groupUserSettingsLayout->addWidget( deleteProfileButton, 1, 4 );

    randrScreenList = new KComboBox( FALSE, groupUserSettings, "randrScreenList" );

    groupUserSettingsLayout->addMultiCellWidget( randrScreenList, 2, 2, 1, 4 );

    textLabel2_8 = new QLabel( groupUserSettings, "textLabel2_8" );

    groupUserSettingsLayout->addWidget( textLabel2_8, 2, 0 );

    iccFile = new KURLRequester( groupUserSettings, "iccFile" );

    groupUserSettingsLayout->addMultiCellWidget( iccFile, 3, 3, 1, 4 );

    textLabel2_2 = new QLabel( groupUserSettings, "textLabel2_2" );

    groupUserSettingsLayout->addWidget( textLabel2_2, 3, 0 );

    tabLayout->addWidget( groupUserSettings, 1, 0 );
    Spacer4 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout->addItem( Spacer4, 4, 0 );
    TabWidget2->insertTab( tab, QString::fromLatin1("") );

    ICCConfigBaseLayout->addWidget( TabWidget2, 0, 0 );
    languageChange();
    resize( QSize(519, 356).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( enableSupport, SIGNAL( toggled(bool) ), this, SLOT( enableSupport_toggled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ICCConfigBase::~ICCConfigBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ICCConfigBase::languageChange()
{
    groupSystemSettings->setTitle( tr2i18n( "System Settings" ) );
    systemEnableSupport->setText( tr2i18n( "&Enable global ICC color profile support" ) );
    systemIccFile->setFilter( tr2i18n( "*.icc|ICC Standard Color Profiles (*.icc)\\n*.icm|Windows(R) Color Profiles (*.icm)" ) );
    textLabel4_2->setText( tr2i18n( "ICC File" ) );
    groupUserSettings->setTitle( tr2i18n( "User Settings" ) );
    enableSupport->setText( tr2i18n( "&Enable user ICC color profile support" ) );
    textLabel2_9->setText( tr2i18n( "Current Profile" ) );
    addProfileButton->setText( tr2i18n( "Create New" ) );
    renameProfileButton->setText( tr2i18n( "Rename" ) );
    deleteProfileButton->setText( tr2i18n( "Delete" ) );
    textLabel2_8->setText( tr2i18n( "Settings for output" ) );
    iccFile->setFilter( tr2i18n( "*.icc|ICC Standard Color Profiles (*.icc)\\n*.icm|Windows(R) Color Profiles (*.icm)" ) );
    textLabel2_2->setText( tr2i18n( "ICC File" ) );
    TabWidget2->changeTab( tab, tr2i18n( "ICC Color Profile Configuration" ) );
}

void ICCConfigBase::enableSupport_toggled(bool)
{
    qWarning( "ICCConfigBase::enableSupport_toggled(bool): Not implemented yet" );
}

/****************************************************************************
** ICCConfigBase meta object code from reading C++ file 'iccconfigbase.h'
**
** Created: Fri Sep 6 06:18:13 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "iccconfigbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ICCConfigBase::className() const
{
    return "ICCConfigBase";
}

QMetaObject *ICCConfigBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ICCConfigBase( "ICCConfigBase", &ICCConfigBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ICCConfigBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ICCConfigBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ICCConfigBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ICCConfigBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ICCConfigBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ 0, &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"enableSupport_toggled", 1, param_slot_0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "enableSupport_toggled(bool)", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ICCConfigBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ICCConfigBase.setMetaObject( metaObj );
    return metaObj;
}

void* ICCConfigBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ICCConfigBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ICCConfigBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: enableSupport_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ICCConfigBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ICCConfigBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ICCConfigBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
