#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'logitechmouse_base.ui'
**
** Created: 2013-09-06T06:12:17
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "logitechmouse_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <qprogressbar.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a LogitechMouseBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
LogitechMouseBase::LogitechMouseBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "LogitechMouseBase" );
    LogitechMouseBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "LogitechMouseBaseLayout"); 

    cordlessNameLabel = new QLabel( this, "cordlessNameLabel" );

    LogitechMouseBaseLayout->addWidget( cordlessNameLabel, 0, 0 );

    permissionProblemText = new QLabel( this, "permissionProblemText" );
    permissionProblemText->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );

    LogitechMouseBaseLayout->addWidget( permissionProblemText, 4, 0 );

    resolutionSelector = new QButtonGroup( this, "resolutionSelector" );
    resolutionSelector->setEnabled( FALSE );
    resolutionSelector->setRadioButtonExclusive( TRUE );
    resolutionSelector->setColumnLayout(0, Qt::Vertical );
    resolutionSelector->layout()->setSpacing( 6 );
    resolutionSelector->layout()->setMargin( 11 );
    resolutionSelectorLayout = new QHBoxLayout( resolutionSelector->layout() );
    resolutionSelectorLayout->setAlignment( Qt::AlignTop );

    button400cpi = new QRadioButton( resolutionSelector, "button400cpi" );
    resolutionSelector->insert( button400cpi, 1 );
    resolutionSelectorLayout->addWidget( button400cpi );

    button800cpi = new QRadioButton( resolutionSelector, "button800cpi" );
    resolutionSelector->insert( button800cpi, 1 );
    resolutionSelectorLayout->addWidget( button800cpi );

    LogitechMouseBaseLayout->addWidget( resolutionSelector, 1, 0 );

    batteryBox = new QGroupBox( this, "batteryBox" );
    batteryBox->setEnabled( FALSE );
    batteryBox->setColumnLayout(0, Qt::Vertical );
    batteryBox->layout()->setSpacing( 6 );
    batteryBox->layout()->setMargin( 11 );
    batteryBoxLayout = new QHBoxLayout( batteryBox->layout() );
    batteryBoxLayout->setAlignment( Qt::AlignTop );

    batteryBar = new QProgressBar( batteryBox, "batteryBar" );
    batteryBar->setTotalSteps( 7 );
    batteryBoxLayout->addWidget( batteryBar );

    LogitechMouseBaseLayout->addWidget( batteryBox, 2, 0 );

    channelSelector = new QButtonGroup( this, "channelSelector" );
    channelSelector->setEnabled( FALSE );
    channelSelector->setExclusive( TRUE );
    channelSelector->setColumnLayout(0, Qt::Vertical );
    channelSelector->layout()->setSpacing( 6 );
    channelSelector->layout()->setMargin( 11 );
    channelSelectorLayout = new QHBoxLayout( channelSelector->layout() );
    channelSelectorLayout->setAlignment( Qt::AlignTop );

    channel1 = new QRadioButton( channelSelector, "channel1" );
    channel1->setChecked( TRUE );
    channelSelector->insert( channel1, 3 );
    channelSelectorLayout->addWidget( channel1 );

    channel2 = new QRadioButton( channelSelector, "channel2" );
    channel2->setEnabled( FALSE );
    channelSelector->insert( channel2, 3 );
    channelSelectorLayout->addWidget( channel2 );

    LogitechMouseBaseLayout->addWidget( channelSelector, 3, 0 );
    languageChange();
    resize( QSize(458, 383).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LogitechMouseBase::~LogitechMouseBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LogitechMouseBase::languageChange()
{
    cordlessNameLabel->setText( tr2i18n( "Cordless Name" ) );
    permissionProblemText->setText( tr2i18n( "You have a Logitech Mouse connected, and libusb was found at compile time, but it was not possible to access this mouse. This is probably caused by a permissions problem - you should consult the manual on how to fix this." ) );
    resolutionSelector->setTitle( tr2i18n( "Sensor Resolution" ) );
    button400cpi->setText( tr2i18n( "400 counts per inch" ) );
    button800cpi->setText( tr2i18n( "800 counts per inch" ) );
    batteryBox->setTitle( tr2i18n( "Battery Level" ) );
    channelSelector->setTitle( tr2i18n( "RF Channel" ) );
    channel1->setText( tr2i18n( "Channel 1" ) );
    channel2->setText( tr2i18n( "Channel 2" ) );
}

/****************************************************************************
** LogitechMouseBase meta object code from reading C++ file 'logitechmouse_base.h'
**
** Created: Fri Sep 6 06:12:17 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "logitechmouse_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *LogitechMouseBase::className() const
{
    return "LogitechMouseBase";
}

QMetaObject *LogitechMouseBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_LogitechMouseBase( "LogitechMouseBase", &LogitechMouseBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString LogitechMouseBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "LogitechMouseBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString LogitechMouseBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "LogitechMouseBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* LogitechMouseBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"LogitechMouseBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_LogitechMouseBase.setMetaObject( metaObj );
    return metaObj;
}

void* LogitechMouseBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "LogitechMouseBase" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool LogitechMouseBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool LogitechMouseBase::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool LogitechMouseBase::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool LogitechMouseBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
