#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'xineramawidget.ui'
**
** Created: 2013-09-06T06:17:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "xineramawidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtable.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"
#include "xineramawidget.ui.h"

/*
 *  Constructs a XineramaWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
XineramaWidget::XineramaWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "XineramaWidget" );
    XineramaWidgetLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "XineramaWidgetLayout"); 

    headTable = new QTable( this, "headTable" );
    headTable->setNumCols( headTable->numCols() + 1 );
    headTable->horizontalHeader()->setLabel( headTable->numCols() - 1, tr2i18n( "X Coordinate" ) );
    headTable->setNumCols( headTable->numCols() + 1 );
    headTable->horizontalHeader()->setLabel( headTable->numCols() - 1, tr2i18n( "Y Coordinate" ) );
    headTable->setNumCols( headTable->numCols() + 1 );
    headTable->horizontalHeader()->setLabel( headTable->numCols() - 1, tr2i18n( "Width" ) );
    headTable->setNumCols( headTable->numCols() + 1 );
    headTable->horizontalHeader()->setLabel( headTable->numCols() - 1, tr2i18n( "Height" ) );
    headTable->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, headTable->sizePolicy().hasHeightForWidth() ) );
    headTable->setVScrollBarMode( QTable::Auto );
    headTable->setHScrollBarMode( QTable::Auto );
    headTable->setNumRows( 2 );
    headTable->setNumCols( 4 );
    headTable->setShowGrid( TRUE );
    headTable->setReadOnly( TRUE );
    headTable->setSelectionMode( QTable::NoSelection );
    headTable->setFocusStyle( QTable::FollowStyle );

    XineramaWidgetLayout->addMultiCellWidget( headTable, 1, 1, 0, 1 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( KDialog::spacingHint() );
    ButtonGroup1->layout()->setMargin( KDialog::marginHint() );
    ButtonGroup1Layout = new QVBoxLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    _enableXinerama = new QCheckBox( ButtonGroup1, "_enableXinerama" );
    ButtonGroup1Layout->addWidget( _enableXinerama );

    _enableResistance = new QCheckBox( ButtonGroup1, "_enableResistance" );
    _enableResistance->setEnabled( FALSE );
    ButtonGroup1Layout->addWidget( _enableResistance );

    _enablePlacement = new QCheckBox( ButtonGroup1, "_enablePlacement" );
    _enablePlacement->setEnabled( FALSE );
    ButtonGroup1Layout->addWidget( _enablePlacement );

    _enableMaximize = new QCheckBox( ButtonGroup1, "_enableMaximize" );
    _enableMaximize->setEnabled( FALSE );
    ButtonGroup1Layout->addWidget( _enableMaximize );

    _enableFullscreen = new QCheckBox( ButtonGroup1, "_enableFullscreen" );
    _enableFullscreen->setEnabled( FALSE );
    ButtonGroup1Layout->addWidget( _enableFullscreen );

    XineramaWidgetLayout->addMultiCellWidget( ButtonGroup1, 0, 0, 0, 1 );

    _identify = new QPushButton( this, "_identify" );

    XineramaWidgetLayout->addWidget( _identify, 3, 1 );
    spacer2 = new QSpacerItem( 431, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    XineramaWidgetLayout->addItem( spacer2, 3, 0 );

    layout2 = new QGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout2"); 

    TextLabel2 = new QLabel( this, "TextLabel2" );
    TextLabel2->setEnabled( FALSE );

    layout2->addWidget( TextLabel2, 0, 0 );

    _ksplashDisplay = new QComboBox( FALSE, this, "_ksplashDisplay" );
    _ksplashDisplay->setEnabled( FALSE );

    layout2->addWidget( _ksplashDisplay, 1, 1 );

    TextLabel2_2 = new QLabel( this, "TextLabel2_2" );
    TextLabel2_2->setEnabled( FALSE );

    layout2->addWidget( TextLabel2_2, 1, 0 );

    _unmanagedDisplay = new QComboBox( FALSE, this, "_unmanagedDisplay" );
    _unmanagedDisplay->setEnabled( FALSE );

    layout2->addWidget( _unmanagedDisplay, 0, 1 );

    XineramaWidgetLayout->addMultiCellLayout( layout2, 2, 2, 0, 1 );
    languageChange();
    resize( QSize(658, 389).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _enableXinerama, SIGNAL( toggled(bool) ), _enableResistance, SLOT( setEnabled(bool) ) );
    connect( _enableXinerama, SIGNAL( toggled(bool) ), _enablePlacement, SLOT( setEnabled(bool) ) );
    connect( _enableXinerama, SIGNAL( toggled(bool) ), _enableMaximize, SLOT( setEnabled(bool) ) );
    connect( _enableXinerama, SIGNAL( toggled(bool) ), TextLabel2, SLOT( setEnabled(bool) ) );
    connect( _enableXinerama, SIGNAL( toggled(bool) ), _unmanagedDisplay, SLOT( setEnabled(bool) ) );
    connect( _enableXinerama, SIGNAL( clicked() ), this, SLOT( emitConfigChanged() ) );
    connect( _enableResistance, SIGNAL( clicked() ), this, SLOT( emitConfigChanged() ) );
    connect( _enablePlacement, SIGNAL( clicked() ), this, SLOT( emitConfigChanged() ) );
    connect( _enableMaximize, SIGNAL( clicked() ), this, SLOT( emitConfigChanged() ) );
    connect( _unmanagedDisplay, SIGNAL( activated(int) ), this, SLOT( emitConfigChanged() ) );
    connect( _enableXinerama, SIGNAL( toggled(bool) ), TextLabel2_2, SLOT( setEnabled(bool) ) );
    connect( _enableXinerama, SIGNAL( toggled(bool) ), _ksplashDisplay, SLOT( setEnabled(bool) ) );
    connect( _ksplashDisplay, SIGNAL( activated(int) ), this, SLOT( emitConfigChanged() ) );
    connect( _enableFullscreen, SIGNAL( clicked() ), this, SLOT( emitConfigChanged() ) );
    connect( _enableXinerama, SIGNAL( toggled(bool) ), _enableFullscreen, SLOT( setEnabled(bool) ) );

    // buddies
    TextLabel2->setBuddy( _unmanagedDisplay );
    TextLabel2_2->setBuddy( _unmanagedDisplay );
}

/*
 *  Destroys the object and frees any allocated resources
 */
XineramaWidget::~XineramaWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void XineramaWidget::languageChange()
{
    headTable->horizontalHeader()->setLabel( 0, tr2i18n( "X Coordinate" ) );
    headTable->horizontalHeader()->setLabel( 1, tr2i18n( "Y Coordinate" ) );
    headTable->horizontalHeader()->setLabel( 2, tr2i18n( "Width" ) );
    headTable->horizontalHeader()->setLabel( 3, tr2i18n( "Height" ) );
    ButtonGroup1->setTitle( tr2i18n( "Multiple Monitor Support" ) );
    _enableXinerama->setText( tr2i18n( "Enable multiple monitor virtual desktop support" ) );
    _enableResistance->setText( tr2i18n( "Enable multiple monitor window resistance support" ) );
    _enablePlacement->setText( tr2i18n( "Enable multiple monitor window placement support" ) );
    _enableMaximize->setText( tr2i18n( "Enable multiple monitor window maximize support" ) );
    _enableFullscreen->setText( tr2i18n( "Enable multiple monitor window fullscreen support" ) );
    _identify->setText( tr2i18n( "&Identify All Displays" ) );
    TextLabel2->setText( tr2i18n( "Show unmanaged windows on:" ) );
    TextLabel2_2->setText( tr2i18n( "Show KDE splash screen on:" ) );
}

/****************************************************************************
** XineramaWidget meta object code from reading C++ file 'xineramawidget.h'
**
** Created: Fri Sep 6 06:17:00 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "xineramawidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *XineramaWidget::className() const
{
    return "XineramaWidget";
}

QMetaObject *XineramaWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_XineramaWidget( "XineramaWidget", &XineramaWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString XineramaWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "XineramaWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString XineramaWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "XineramaWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* XineramaWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"emitConfigChanged", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "emitConfigChanged()", &slot_1, QMetaData::Private }
    };
    static const QUMethod signal_0 = {"configChanged", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "configChanged()", &signal_0, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"XineramaWidget", parentObject,
	slot_tbl, 2,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_XineramaWidget.setMetaObject( metaObj );
    return metaObj;
}

void* XineramaWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "XineramaWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

// SIGNAL configChanged
void XineramaWidget::configChanged()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool XineramaWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: emitConfigChanged(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool XineramaWidget::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: configChanged(); break;
    default:
	return QWidget::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool XineramaWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool XineramaWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
